/* ********** Genel Değişkenler Başlangıç ********** */
var tempElement; 				//Üzerinde işlem yapılacak olan elementin geçici olarak saklandığı değişken
var UrlParams=new Array();  	//URL üzerinde eğer her hangi bir parametre varsa o parametrelerin alımı için kullanılan değişken
								//Düzgün olarak encode edebildiği URL formatı :
											// ...../sayfa.html?PARAM1=DEGER1&PARAM2=DEGER2...gibi dir.
var docURL;					//Sayfanın URL adresini geçici olarak tutmak için
var tempParams;				//Sayfanın parametrelerini almak için kullanılan geçici dizi değişkeni
/* ********** Genel Değişkenler Bitiş ********** */



/* ********** getElement Fonksiyonu Başlangıç ********** */

//   ElementID ile belirtilen Id'ye sahip HTML elementini geriye döndürür   \\
//   Eğer elementi bulamazsa sonuç " false " olarak döner.   \\


		function getElement( ElementID )
		{
			if ( !document.getElementById( ElementID ) ) return false;
			return document.getElementById( ElementID );
		}


/* ********** getElement Fonksiyonu Bitiş ********** */






/* ********** ShowError Fonksiyonu Başlangıç ********** */

//   Herhangi bir hata durumunda hata göstericisi olan alert   \\
//   	Komutunu yerine getirir ve sonucu " false " olarak döndürür.    \\
//   Sonucunda hata uyarısı verecek ve " false " değeri döndürecek olan fonksiyonlar için   \\


		function ShowError( Message )
		{
			if ( Message != null || Message != "" )
				alert ( Message );
			return false;
		}


/* ********** ShowError Fonksiyonu Bitiş ********** */






/* ********** getValue Fonksiyonu Başlangıç ********** */

//   ElementID ile belirtilen Id'ye sahip HTML elementinin value değerini döndürür   \\
//   Eğer elementi bulamazsa sonuç " false " olarak döner.   \\
//   Eğer elementin value değeri " null " ise sonuç " false " olarak döner.   \\

		function getValue( ElementID )
		{
			tempElement = getElement( ElementID );
			if ( !tempElement || tempElement.value == null) return false;
			return tempElement.value;
		}


/* ********** getValue Fonksiyonu Bitiş ********** */






/* ********** setValue Fonksiyonu Başlangıç ********** */

//   ElementID ile belirtilen Id'ye sahip HTML elementinin value değerine    \\
//   Belirtilen value değerini atar
//   Eğer elementi bulamazsa veya Value değeri null sa sonuç " false " olarak döner.   \\

		function setValue( ElementID, Value )
		{
			tempElement = getElement( ElementID );
			if ( !tempElement || tempElement.value == null || !Value) return false;
			tempElement.value = Value;
		}


/* ********** setValue Fonksiyonu Bitiş ********** */






/* ********** setInnerHtml Fonksiyonu Başlangıç ********** */

//   ElementID ile belirtilen Id'ye sahip HTML elementinin innerHTML değerine    \\
//   Belirtilen value değerini atar
//   Eğer elementi bulamazsa veya Value değeri null sa sonuç " false " olarak döner.   \\

		function setInnerHtml( ElementID, Value )
		{
			tempElement = getElement( ElementID );
			if ( !tempElement || tempElement.innerHTML == null || !Value) return false;
			tempElement.innerHTML = Value;
		}


/* ********** setInnerHtml Fonksiyonu Bitiş ********** */






/* ********** setAttr Fonksiyonu Başlangıç ********** */

//   ElementID ile belirtilen Id'ye sahip HTML elementinin belirtilen özelliğine belirtilen değeri atama işlemi yapar

		function setAttr( ElementID, _Attr, _Value )
		{
			tempElement = getElement( ElementID );
			if ( !tempElement || !_Value) return false;
			tempElement.setAttribute( _Attr, _Value );
		}


/* ********** setAttr Fonksiyonu Bitiş ********** */






/* ********** getAttr Fonksiyonu Başlangıç ********** */

//   ElementID ile belirtilen Id'ye sahip HTML elementinin belirtilen özelliğinin değerini gönderir

		function getAttr( ElementID, _Attr )
		{
			tempElement = getElement( ElementID );
			if ( !tempElement || !_Attr) return false;
			return tempElement.getAttribute( _Attr );
		}


/* ********** getAttr Fonksiyonu Bitiş ********** */







/* ********** IsIE Fonksiyonu Başlangıç ********** */

//   İşlemi yorumlayacak olan browserın Internet Explorer olup olmadığını kontrol eder
//   Eğer Internet Explorer ise " true " değilse " false " döner

		function IsIE()
		{
			return ( navigator.appVersion.indexOf( "MSIE" )>=0 );
			
		}

/* ********** IsIE Fonksiyonu Bitiş ********** */






/* ********** setStatus Fonksiyonu Başlangıç ********** */

//   Browserın durum çubuğunun değerini ayarlar

		function setStatus( Value )
		{
			if (Value)
				window.status = Value;
			else 
				window.status = "";
		}

/* ********** setStatus Fonksiyonu Bitiş ********** */






/* ********** getURL Fonksiyonu Başlangıç ********** */

//   Browserın URL'ini alır ve parametreler varsa diziye atar

		function getURL( )
		{
			docURL = ( (IsIE())?document.location.href:document.URL );
			if (docURL.indexOf('?')<=0)
				return false;
			docURL = docURL.substr( docURL.indexOf('?')+1 );
			tempParams = docURL.split('&');
			for (i=0; i<tempParams.length; 
					UrlParams[UrlParams.length] = new Array( tempParams[ i ].split('=')[0], tempParams[ i ].split('=')[1] ),
				i++);
		}

/* ********** getURL Fonksiyonu Bitiş ********** */







/* ********** getURLParam Fonksiyonu Başlangıç ********** */

//   Browserın URL adresinden alınan parametrenin değerini getirir.

		function getURLParam( Value )
		{
			try
			{
				var i=0;
				for (; (i<UrlParams.length) && (UrlParams[i][0]!=Value);i++);
				if (i<UrlParams.length)
					return UrlParams[ i ][ 1 ];
				return null;
			}
			catch(Hata)
			{
				return ShowError(Hata.description);
			}
		}

/* ********** getURLParam Fonksiyonu Bitiş ********** */